.post-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 columns */
  gap: 30px;
  margin-top: 48px;
}

.post-item {
  text-align: center;
}

.post-item h3 {
  font-size: 26px;
  font-style: italic;
}

.post-item img {
  width: 100%;
  height: 550px !important;
  object-fit: cover;
}

.full-description {
  border-top: 1px solid var(--mid-grey);
  margin-top: 48px;
  padding: 64px 0;
  position: relative;
}

.full-description h3 {
  font-size: 30px;
  font-style: italic;
}

.full-description::before {
  content: "";
  width: 0;
  height: 0;
  border-left: 12px solid transparent;
  border-right: 12px solid transparent;
  border-bottom: 24px solid var(--green); /* Triangle color */
  top: 0;
  left: 100px;
  position: absolute;
  transform: rotate(180deg);
}

.toggle-description,
.close-description {
  all: unset;
  cursor: pointer;
  border: 2px solid var(--mid-grey);
  border-radius: 0;
  padding: 7px 20px;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 13px;
  transition: all 0.5s;
}

.toggle-description:hover {
  background-color: var(--mid-grey);
  color: var(--beige);
}

.back-home-btn {
  all: unset !important;
  cursor: pointer !important;
  border: 2px solid var(--mid-grey) !important;
  border-radius: 30px !important;
  padding: 7px 20px !important;
  text-transform: uppercase !important;
  letter-spacing: 2px !important;
  font-size: 13px !important;
  transition: all 0.5s !important;
}

.close-description {
  background-color: var(--green);
  color: var(--black);
  border: none;
  position: absolute;
  top: 10px;
  right: 0;
  padding: 5px 20px;
  font-size: 12px;
}

.close-description::before {
  content: "X";
  position: absolute;
  left: 10px;
  font-size: 8px;
  top: auto;
  bottom: auto;
}

.kontaktformular-button-wrapper {
  margin-top: 36px !important;
}

@media (max-width: 1024px) {
  .post-grid {
    grid-template-columns: repeat(2, 1fr);
  }
  .full-description {
    position: fixed;
    background-color: var(--beige);
    margin: 0;
    inset: 0;
    padding: 64px 48px 48px;
    border: none;
    overflow: auto;
  }
  .full-description::before {
    display: none;
  }
  .close-description {
    position: fixed;
    right: 20px;
  }
  .post-item img {
    height: 450px !important;
  }
}

@media (max-width: 768px) {
  .post-grid {
    grid-template-columns: 1fr;
  }
  .post-item img {
    height: 350px !important;
  }
}
